Zend Guard Loader Causes Segmentation Fault in PHP

Follow

Issue

When manually installed in a non-Zend PHP stack, Zend Guard Loader causes segmentation fault in PHP. For example:

$ php -v
PHP 5.4.16 (cli) (built: Aug 6 2014 13:12:28)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies
    with Zend Guard Loader v3.3, Copyright (c) 1998-2013, by Zend Technologies
Segmentation fault

 

Environment

 Linux

Resolution

This directive should be included in php.ini or one of the other scanned .ini files:

zend_extension=/usr/lib64/php/modules/ZendGuardLoader.so

(the path is given merely as an example, in reality it should correspond to the actual path of ZendGuardLoader.so in your system)

Details

In many cases the segmentation fault is a result of improper loading of ZendGuardLoader.so. For example:

extension=ZendGuardLoader.so

Zend Guard Loader is a Zend Engine extension, i.e. is hooked deeper into PHP. Unlike regular extensions, which basically deal with your code, Zend Engine extensions modify the behavior of PHP itself.

To load Zend Engine extensions there is a special directive - "zend_extension". This directive expects absolute path to the extension binary as its value.

Have more questions? Submit a request

Comments

Powered by Zendesk